// pages/area/area.js
var app = getApp();
Page({

  /**
   * 页面的初始数据
   */
  data: {
    list:[
      {shi:'南京市',qu:'栖霞区',school:'测试学校',nengli:'29013921'},
      { shi: '南京市', qu: '栖霞区', school: '南京学校', nengli: '29013921' }
    ]
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    var that = this;
    var config = wx.getStorageSync('config');
    wx: wx.request({
      url: app.url + 'ajax_get_area_info.php',
      data: {
        unionId: config.unionId,
        page:1
      },
      header: { 'content-type': 'application/json' },
      method: 'GET',
      dataType: 'json',
      success: function (res) {
        console.log(res)
        if (res.statusCode == 200) {
          
        }
      },
      fail: function (res) { },
      complete: function (res) { },
    })
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  },
  schoolDetails(e){
    let query = e.currentTarget.dataset['index'];
    console.log(query)
    wx.navigateTo({
      url: '../schoolDetails/schoolDetails?schoolNo=4&originalSource=2',
    });
    wx.setNavigationBarTitle({
      title: '区域管理'
    })
  }
})